## qtscript-opensource-src 5.0.1+dfsg

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

set(Qt5_MODULE_TEST_DEPENDS Core)

test_module_includes(
  Script QScriptEngine
  ScriptTools QScriptEngineDebugger
)

=== debian/changelog ===
qtscript-opensource-src (5.0.1+dfsg-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Cherry-pick from upstream:
    - add_license_files.patch
  * Re-pack tarball by removing files with somewhat uncertain licenses
  * debian/patches/disable_v8_sunspider_tests.patch:
    - Disable removed tests

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 06 Feb 2013 08:11:37 +0000

=== debian/control ===
Source: qtscript-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Sune Vuorela <debian@pusling.com>,
           Pino Toscano <pino@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Timo Jyrinki <timo@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               pkg-kde-tools,
               qt5-default,
               qtbase5-private-dev (>= 5.0.1~)
Standards-Version: 3.9.4
Homepage: http://qt-project.org/

Package: libqt5script5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 script module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScript module provides classes for making Qt applications scriptable.

Package: libqt5scripttools5
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 script tools module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The QtScriptTools module provides additional components for applications that
 use Qt Script.
 .
 This package contains the Qt Script debugger, a tool for debugging script
 execution in Qt applications that use Qt Script.

Package: qtscript5-dev
Section: libdevel
Architecture: any
Depends: libqt5script5 (= ${binary:Version}),
         libqt5scripttools5 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 script development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using QtScript and QtScriptTools libraries.

Package: qtscript5-private-dev
Architecture: any
Section: libdevel
Depends: qtscript5-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 script private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications QtScript and QtScriptTools private headers.
 .
 Use at your own risk.

Package: qtscript5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 script examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 script examples.

Package: qtscript5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5script5 (= ${binary:Version}),
         libqt5scripttools5 (= ${binary:Version}),
         qtscript5-examples (= ${binary:Version}),
         ${misc:Depends}
Description: Qt 5 script libraries debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 script libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtscript5-dbg 

override_dh_auto_configure:
	qmake

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules_tar/qtscript-opensource-src-([^-]*)\.tar.xz

## qtscript-opensource-src 5.0.2+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.0.2+dfsg-3fakesync1) saucy; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 21 Jun 2013 16:03:04 +0400

qtscript-opensource-src (5.0.2+dfsg-3) experimental; urgency=low

  [ Pino Toscano ]
  * debian/control: remove extra ${misc:Pre-Depends} from qtscript5-examples.
  * Copy patch s390x_jscore.diff from qt4-x11 (which is a backport of an
    upstream commit) to support s390/s390x.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Update symbols file.
  * Make qtscript5-dbg M-A same to allow debugging symbols coinstalability.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Jun 2013 19:45:49 -0300

qtscript-opensource-src (5.0.2+dfsg-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 05 Jun 2013 15:06:13 -0300

qtscript-opensource-src (5.0.2+dfsg-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 17 May 2013 16:35:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtscript-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -12,10 +11,13 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools,
-               qt5-default,
-               qtbase5-private-dev (>= 5.0.1~)
+               qtbase5-private-dev (>= 5.0.2~)
+Build-Depends-Indep: libqt5sql5-sqlite,
+                     qttools5-dev-tools (>= 5.0.2~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtscript.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtscript.git;a=summary
 
 Package: libqt5script5
 Architecture: any
@@ -46,8 +48,10 @@
 Package: qtscript5-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5script5 (= ${binary:Version}),
          libqt5scripttools5 (= ${binary:Version}),
+         qtbase5-dev,
          ${misc:Depends}
 Description: Qt 5 script development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -59,7 +63,8 @@
 Package: qtscript5-private-dev
 Architecture: any
 Section: libdevel
-Depends: qtscript5-dev (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
+Depends: qtscript5-dev (= ${binary:Version}), ${misc:Depends}
 Description: Qt 5 script private development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -73,7 +78,7 @@
 Architecture: any
 Multi-Arch: same
 Section: x11
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 script examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -84,13 +89,37 @@
 Package: qtscript5-dbg
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Section: debug
 Depends: libqt5script5 (= ${binary:Version}),
          libqt5scripttools5 (= ${binary:Version}),
-         qtscript5-examples (= ${binary:Version}),
          ${misc:Depends}
+Suggests: qtscript5-examples (= ${binary:Version}),
 Description: Qt 5 script libraries debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the debugging symbols for the Qt 5 script libraries.
+
+Package: qtscript5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 script documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 script libraries.
+
+Package: qtscript5-doc-html
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 script HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for the Qt 5 script
+ libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtscript5-dbg

override_dh_auto_configure:
	qmake

override_dh_auto_build-indep:
	 dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_builddeb:
	dh_builddeb -- -Zxz

prune-nonfree:
	rm -rf tests/benchmarks/script/sunspider/*
	rm -rf tests/benchmarks/script/v8/*

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://origin.releases.qt-project.org/qt5/([\d\.]*)/submodules/qtscript-opensource-src-([^-]*)\.tar.xz

## qtscript-opensource-src 5.2.0+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.2.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Bump build dependencies.
  * Refresh s390x_jscore.diff.
  * Adjust install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 Dec 2013 14:15:37 -0300

qtscript-opensource-src (5.1.1+dfsg-2) unstable; urgency=low

  * Switch symbols substitutions failing in s390 from ssize_t to intptr_t
    (which is the correct type). Tested on a porterbox.
  * Confirm symbols files for all other archs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Oct 2013 22:28:19 -0300

qtscript-opensource-src (5.1.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Be verbose on the files we remove to make the source tarball DFSG
    compliant.
  * Tighten Qt 5 build dependencies.
  * Refresh s390x_jscore.diff.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 22:11:00 -0300

qtscript-opensource-src (5.1.0+dfsg-3) unstable; urgency=low

  * Require pkg-kde-tools with version at least 0.15.8 to fix a symbol
    substitution on s390.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 25 Aug 2013 20:50:33 -0300

qtscript-opensource-src (5.1.0+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Update symbols files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 11 Aug 2013 12:54:48 -0300

qtscript-opensource-src (5.1.0+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Bump Qt dependencies to 5.1.0~.
  * Make libqt5script5 provide qtscript-api-5-1-0.
    In this way we can know if external packages are using private headers.
    - Add the necessary options in the symbols file.
    - Add mark_private_symbols.sh.
    - Mark private symbols.
    - Add lintian overrides for dependency on other lib.
  * Update install files.
  * Update symbols files.
  * Add third party copyright stuff for ce-compat.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 14 Jul 2013 16:25:38 -0300

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
            Timo Jyrinki <timo@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               pkg-kde-tools,
-               qtbase5-private-dev (>= 5.0.2~)
-Build-Depends-Indep: libqt5sql5-sqlite,
-                     qttools5-dev-tools (>= 5.0.2~)
+               pkg-kde-tools (>= 0.15.8~),
+               qtbase5-private-dev (>= 5.2.0+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.0-1~)
 Standards-Version: 3.9.4
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtscript.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtscript.git;a=summary
 
 Package: libqt5script5
+Provides: qtscript-abi-5-1-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
@@ -94,7 +94,7 @@
 Depends: libqt5script5 (= ${binary:Version}),
          libqt5scripttools5 (= ${binary:Version}),
          ${misc:Depends}
-Suggests: qtscript5-examples (= ${binary:Version}),
+Suggests: qtscript5-examples (= ${binary:Version})
 Description: Qt 5 script libraries debugging symbols
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -33,5 +33,5 @@
 	dh_builddeb -- -Zxz
 
 prune-nonfree:
-	rm -rf tests/benchmarks/script/sunspider/*
-	rm -rf tests/benchmarks/script/v8/*
+	rm -rfv tests/benchmarks/script/sunspider/*
+	rm -rfv tests/benchmarks/script/v8/*

## qtscript-opensource-src 5.2.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qtscript-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -11,15 +12,17 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools (>= 0.15.8~),
-               qtbase5-private-dev (>= 5.2.0+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.0-1~)
-Standards-Version: 3.9.4
+               qtbase5-private-dev (>= 5.2.1+dfsg~),
+               xauth,
+               xvfb
+Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.1~)
+Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtscript.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtscript.git;a=summary
 
 Package: libqt5script5
-Provides: qtscript-abi-5-1-0
+Provides: qtscript-abi-5-2-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}

## qtscript-opensource-src 5.2.1+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.2.1+dfsg-1ubuntu1) trusty; urgency=medium

  * debian/patches/aarch64.patch
    - Needed to fix arm64 FTBFS

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Mar 2014 14:30:51 +0000

qtscript-opensource-src (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files with buildd's logs.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 10 Feb 2014 13:07:06 -0300

qtscript-opensource-src (5.2.0+dfsg-3) unstable; urgency=medium

  * Do not run tests until we get the transition sorted out.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 01 Feb 2014 18:13:07 -0300

qtscript-opensource-src (5.2.0+dfsg-2) unstable; urgency=medium

  [ Iftikhar Ahmad ]
  * debian/patches/enable-make-check.patch:
    - Fix make check to work.
  * Run tests as part of the override_dh_auto_test

  [ Dmitry Shachnev ]
  * Provide qtscript-abi-5-2-0 (and not 5-1-0).
  * Build tests in build target, and use dh_auto_test.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.
  * Update symbols files with buildd's logs.
  * Update Standards-Version to 3.9.5, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 18:47:35 -0300

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,13 @@
 export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 export QT_SELECT := qt5
+export QT_QPA_PLATFORM := minimal
 
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtscript5-dbg
 
 override_dh_auto_configure:
-	qmake
+	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	 dh_auto_build -Smakefile -- docs
@@ -35,3 +36,7 @@
 prune-nonfree:
 	rm -rfv tests/benchmarks/script/sunspider/*
 	rm -rfv tests/benchmarks/script/v8/*
+
+override_dh_auto_test:
+	# Do not run tests at least until we get the transition sorted out.
+	#xvfb-run -a dh_auto_test

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtscript-opensource-src-([^-]*)\.tar.xz

## qtscript-opensource-src 5.3.1+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.3.1+dfsg-3ubuntu1) utopic; urgency=medium

  * Build against Qt 5.3.0.
  * Pretend that our version is 5.3.0, to avoid FTBFS of other packages.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 Sep 2014 15:35:22 +0400

qtscript-opensource-src (5.3.1+dfsg-3) unstable; urgency=medium

  * Bump qtbase's build dependencies to >= 5.3.1-2 to get qtbase-abi-5-3-1.
  * Update symbols files with buildds' and mips64el's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 27 Jun 2014 23:59:44 -0300

qtscript-opensource-src (5.3.1+dfsg-2) unstable; urgency=medium

  * Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Mark new private symbols as such.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jun 2014 23:43:47 -0300

qtscript-opensource-src (5.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files with buildds' and mips64el's logs.
  * Update symbols files with current log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jun 2014 20:23:08 -0300

qtscript-opensource-src (5.3.0+dfsg-4) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 19 Jun 2014 12:03:23 -0300

qtscript-opensource-src (5.3.0+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs (Closes: #746899).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 18 Jun 2014 11:16:00 -0300

qtscript-opensource-src (5.3.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Development packages are now Arch: any and Multi-Arch: same.
  * Search for private symbols at build time and produce a diff so as to be
    able to get the changes from build logs.
    - Modify mark_private_symbols.sh.
    - Run mark_private_symbols.sh from debian/rules.
  * Do not override dh_builddeb, xz is now the default compression method.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 05 Jun 2014 23:15:25 -0300

qtscript-opensource-src (5.3.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Add missing word in qtscript5-private-dev's description (Closes: #745300).
    Thanks Pascal De Vuyst.
  * Do not build qtscript5-doc anymore from this source, thus allowing us to
    avoid a dependency on qttools and a circular dependency.
    The package will be built from qttools itself.
  * Bump the build dependency on qtbase to 5.3.0+dfsg~.
  * Refresh s390x_jscore.diff.
  * Move headers to their new multi-arch aware path.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 May 2014 12:43:46 -0300

qtscript-opensource-src (5.2.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Add license to mark_private_symbols.sh and corresponding entry in
    debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 22:19:17 -0300

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools (>= 0.15.8~),
-               qtbase5-private-dev (>= 5.2.1+dfsg~),
+               qtbase5-private-dev (>= 5.3.0+dfsg-2~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite, qttools5-dev-tools (>= 5.2.1~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtscript.git
@@ -51,6 +50,7 @@
 Package: qtscript5-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: libqt5script5 (= ${binary:Version}),
          libqt5scripttools5 (= ${binary:Version}),
@@ -65,6 +65,7 @@
 
 Package: qtscript5-private-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: qtscript5-dev (= ${binary:Version}), ${misc:Depends}
@@ -73,7 +74,7 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the private header development files for building some
- Qt 5 applications QtScript and QtScriptTools private headers.
+ Qt 5 applications using QtScript and QtScriptTools private headers.
  .
  Use at your own risk.
 
@@ -104,17 +105,6 @@
  .
  This package contains the debugging symbols for the Qt 5 script libraries.
 
-Package: qtscript5-doc
-Priority: extra
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Description: Qt 5 script documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the documentation for the Qt 5 script libraries.
-
 Package: qtscript5-doc-html
 Priority: extra
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,12 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtscript5-dbg
 
 override_dh_auto_configure:
+	cd include/QtScript && mv 5.3.1 5.3.0
+	cd include/QtScriptTools && mv 5.3.1 5.3.0
 	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
-	 dh_auto_build -Smakefile -- docs
+	 dh_auto_build -Smakefile -- html_docs
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -25,13 +27,15 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 override_dh_auto_install-indep:
-	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_html_docs
 
 override_dh_install:
 	dh_install --fail-missing
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
+override_dh_makeshlibs:
+	dh_makeshlibs
+	# Check for private symbols not marked as such. Be verbose.
+	DEBUG=1 debian/mark_private_symbols.sh
 
 prune-nonfree:
 	rm -rfv tests/benchmarks/script/sunspider/*

## qtscript-opensource-src 5.3.2+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.3.2+dfsg-2~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Oct 2014 21:44:24 -0300

qtscript-opensource-src (5.3.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 21 Sep 2014 23:38:08 -0300

qtscript-opensource-src (5.3.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 16 Sep 2014 22:07:20 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qtscript-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Sune Vuorela <debian@pusling.com>,
@@ -12,7 +11,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools (>= 0.15.8~),
-               qtbase5-private-dev (>= 5.3.0+dfsg-2~),
+               qtbase5-private-dev (>= 5.3.2+dfsg~),
                xauth,
                xvfb
 Standards-Version: 3.9.5

## qtscript-opensource-src 5.4.1+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.4.1+dfsg-3) experimental; urgency=medium

  * Add upstream patch to correctly detect little-endian ppc/ppc64.
  * mark_private_symbols.sh: Strip trailing colon from symbols names.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Mar 2015 22:06:25 +0300

qtscript-opensource-src (5.4.1+dfsg-2) experimental; urgency=medium

  * Disable some failing tests.
  * Remove a symbol from libqt5script5.symbols that should not be there.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Feb 2015 15:34:04 +0300

qtscript-opensource-src (5.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch to use https://download.qt.io/.
  * Build-depend on qtbase 5.4.1.
  * Drop upstream_Disable-pthread_np.h-on-BSD-w-GNU-libc.patch, applied
    upstream.
  * Refresh s390x_jscore.diff.
  * Update debian/copyright.
  * Run the tests during build.
  * Mark three destructors symbols as optional to fix build with GCC 5
    (closes: #778093).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Feb 2015 13:13:33 +0300

qtscript-opensource-src (5.4.0+dfsg-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commit 52e775b4d0e59dfb44c22b070f272dbc21014389 to fix
    build on GNU/kFreeBSD, making sure that pthread_np.h is not used;
    patch upstream_Disable-pthread_np.h-on-BSD-w-GNU-libc.patch.

  [ Dmitry Shachnev ]
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Jan 2015 18:14:24 +0300

qtscript-opensource-src (5.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Build-depend on qtbase 5.4.0.
  * Add myself to Uploaders.
  * Update Vcs-Git URL to point to cgit interface.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update debian/copyright.
  * Use Files-Excluded instead of prune-nonfree.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Dec 2014 17:18:09 +0300

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
            Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools (>= 0.15.8~),
-               qtbase5-private-dev (>= 5.3.2+dfsg~),
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
                xauth,
                xvfb
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtscript.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtscript.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtscript.git
 
 Package: libqt5script5
 Provides: qtscript-abi-5-2-0

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,10 @@
 	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtscript5-dbg
 
 override_dh_auto_configure:
-	cd include/QtScript && mv 5.3.1 5.3.0
-	cd include/QtScriptTools && mv 5.3.1 5.3.0
 	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
-	 dh_auto_build -Smakefile -- html_docs
+	dh_auto_build -Smakefile -- html_docs
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -37,10 +35,5 @@
 	# Check for private symbols not marked as such. Be verbose.
 	DEBUG=1 debian/mark_private_symbols.sh
 
-prune-nonfree:
-	rm -rfv tests/benchmarks/script/sunspider/*
-	rm -rfv tests/benchmarks/script/v8/*
-
 override_dh_auto_test:
-	# Do not run tests at least until we get the transition sorted out.
-	#xvfb-run -a dh_auto_test
+	xvfb-run -a dh_auto_test

## qtscript-opensource-src 5.4.2+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.4.2+dfsg-4) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 07 Aug 2015 13:55:07 -0300

qtscript-opensource-src (5.4.2+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Update symbols files with current build log against gcc5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 07 Aug 2015 10:50:59 -0300

qtscript-opensource-src (5.4.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Jun 2015 09:26:32 -0300

qtscript-opensource-src (5.4.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies to 5.4.2.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Update symbols files with buildds' logs.
  * Refresh s390x_jscore.diff.
  * Remove ppc64el_jscore.diff, applied upstream.
  * Use pkgkde-make-private-symbols from pkg-kde-tools 0.15.17.
    - Drop the relevant entry in debian/copyright.
  * Expose HTML documentation (Closes: #751181).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 02 Jun 2015 17:36:59 -0300

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <debian@pusling.com>,
+Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               pkg-kde-tools (>= 0.15.8~),
-               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               pkg-kde-tools (>= 0.15.17~),
+               qtbase5-private-dev (>= 5.4.2+dfsg~),
                xauth,
                xvfb
 Standards-Version: 3.9.6

## qtscript-opensource-src 5.5.1%2Bdfsg

=== debian/changelog ===
qtscript-opensource-src (5.5.1+dfsg-2build1) xenial; urgency=medium

  * Rebuild against Qt 5.5.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 10:22:16 +0200

qtscript-opensource-src (5.5.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 15:48:16 -0300

qtscript-opensource-src (5.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 15 Oct 2015 21:15:53 -0300

qtscript-opensource-src (5.5.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump qtbase5-private-dev build-dependency to 5.5.0.
  * Update debian/copyright.
  * Simplify and update libqt5script5.symbols (and fix syntax errors).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Aug 2015 21:09:33 +0300

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 override_dh_makeshlibs:
 	dh_makeshlibs
 	# Check for private symbols not marked as such. Be verbose.
-	DEBUG=1 debian/mark_private_symbols.sh
+	pkgkde-mark-private-symbols debian/qtscript5-private-dev/usr/include
 
 override_dh_auto_test:
 	xvfb-run -a dh_auto_test

## qtscript-opensource-src 5.5.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools (>= 0.15.17~),
-               qtbase5-private-dev (>= 5.4.2+dfsg~),
+               qtbase5-private-dev (>= 5.5.1+dfsg~),
                xauth,
                xvfb
 Standards-Version: 3.9.6

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtscript-opensource-src-([^-]*)\.tar\.xz

## qtscript-opensource-src 5.6.1+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.6.1+dfsg-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 09:56:55 -0300

qtscript-opensource-src (5.6.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 09 Jun 2016 18:42:03 -0300

qtscript-opensource-src (5.6.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
    - Restore debian/watch to official releases.
  * Update symbols files with buildds' logs.
  * Add the dfsg suffix when repacking tarballs using uscan.
  * Add source lintian-overrides for javascript tests that Lintian sees as
    minified files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 19 Mar 2016 13:49:17 -0300

qtscript-opensource-src (5.6.0~rc+dfsg-1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump qtbase5-private-dev build-dependency to 5.6.0~rc.
  * Use recommended https URIs for Vcs fields.
  * Run tests outside Xvfb, it is not needed.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Drop enable-make-check.patch, seems to be not needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2016 22:56:13 +0300

qtscript-opensource-src (5.6.0~beta+dfsg-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream beta release.
  * Update symbols files with buildds' logs.
  * Bump Qt build dependencies.

  [ Dmitry Shachnev ]
  * Update debian/watch to track experimental releases (needs to be reverted
    before uploading 5.6.0 final).
  * Re-enable building the documentation.
    - See debian/README.source in qtbase for details on how we handle it.
    - Add libqt5sql5-sqlite and qttools5-dev-tools to Build-Depends-Indep.
  * Update the symbols files using the migrate-symbols script and from the
    current build log.
  * Stop running pkgkde-mark-private-symbols on build time. The new way is
    running pkgkde-mark-qt5-private-symbols after every symbols update.
  * Bump the ABI version to 5-6-0.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Feb 2016 14:06:33 +0300

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools (>= 0.15.17~),
-               qtbase5-private-dev (>= 5.5.1+dfsg~),
-               xauth,
-               xvfb
-Standards-Version: 3.9.6
+               qtbase5-private-dev (>= 5.6.1+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1~),
+                     qttools5-dev-tools (>= 5.6.1~)
+Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtscript.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtscript.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtscript.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtscript.git
 
 Package: libqt5script5
-Provides: qtscript-abi-5-2-0
+Provides: qtscript-abi-5-6-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
@@ -103,6 +103,17 @@
  .
  This package contains the debugging symbols for the Qt 5 script libraries.
 
+Package: qtscript5-doc
+Priority: extra
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Qt 5 script documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for the Qt 5 script libraries.
+
 Package: qtscript5-doc-html
 Priority: extra
 Architecture: all

## qtscript-opensource-src 5.7.1~20161021+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.7.1~20161021+dfsg-2) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Nov 2016 08:46:37 -0300

qtscript-opensource-src (5.7.1~20161021+dfsg-1) experimental; urgency=medium

  * New upstream pre-release.
    - Bump Qt build dependencies.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Oct 2016 16:23:11 -0300

qtscript-opensource-src (5.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqt5script5.symbols from 5.6.1 build log.
  * Bump Qt build-dependencies to 5.7.0.
  * Add Qt_5.7 version tag to the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 Jul 2016 22:02:54 +0300

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                pkg-kde-tools (>= 0.15.17~),
-               qtbase5-private-dev (>= 5.6.1+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.6.1~),
-                     qttools5-dev-tools (>= 5.6.1~)
+               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
+                     qttools5-dev-tools (>= 5.7.1~20161021~)
 Standards-Version: 3.9.8
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtscript.git

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	qmake QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
-	dh_auto_build -Smakefile -- html_docs
+	dh_auto_build -- docs
 
 override_dh_auto_install-arch:
 	dh_auto_install
@@ -25,15 +25,7 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
 override_dh_auto_install-indep:
-	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_html_docs
+	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
 override_dh_install:
 	dh_install --fail-missing
-
-override_dh_makeshlibs:
-	dh_makeshlibs
-	# Check for private symbols not marked as such. Be verbose.
-	pkgkde-mark-private-symbols debian/qtscript5-private-dev/usr/include
-
-override_dh_auto_test:
-	xvfb-run -a dh_auto_test

## qtscript-opensource-src 5.9.1+dfsg

=== debian/changelog ===
qtscript-opensource-src (5.9.1+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop qtscript5-private-dev package, there are no remaining reverse
    dependencies.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 15 Aug 2017 22:05:47 -0300

qtscript-opensource-src (5.9.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqt5script5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Bump Qt build-dependencies to 5.9.1.
  * Simplify debian/watch to track only stable releases.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Jul 2017 22:36:26 +0300

qtscript-opensource-src (5.9.0+dfsg-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Modify debian/watch to automatically pick up new development *and*
    final releases.
  * Add myself to Uploaders.

  [ Dmitry Shachnev ]
  * Export QT_LOGGING_RULES="default.debug=true" to unbreak the tests
    (this is needed to override settings from our new qtlogging.ini file).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 16 Jun 2017 12:02:34 -0500

qtscript-opensource-src (5.9.0~beta3+dfsg-1) experimental; urgency=medium

  * New upstream beta release.
  * Update debian/watch to track development releases.
  * Bump Qt build-dependencies to 5.9.0~beta.
  * Migrate to automatic dbgsym packages.
  * Add support for “nodoc” build profile.
  * Ignore the tests failures for now, will be investigated later.
  * Remove the debian/copyright entry for dropped ce-compat code.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 28 Apr 2017 14:58:31 +0300

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
            Pino Toscano <pino@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>
-Build-Depends: debhelper (>= 9),
-               dpkg-dev (>= 1.16.1),
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@ubuntu.com>
+Build-Depends: debhelper (>= 9.20160114~),
+               dpkg-dev (>= 1.17.14),
                pkg-kde-tools (>= 0.15.17~),
-               qtbase5-private-dev (>= 5.7.1~20161021+dfsg~)
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.7.1~20161021+dfsg~),
-                     qttools5-dev-tools (>= 5.7.1~20161021~)
-Standards-Version: 3.9.8
+               qtbase5-private-dev (>= 5.9.1+dfsg~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.9.1+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.9.1~) <!nodoc>
+Standards-Version: 4.0.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/qt/qtscript.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/qt/qtscript.git
@@ -61,21 +62,6 @@
  This package contains the header development files used for building Qt 5
  applications using QtScript and QtScriptTools libraries.
 
-Package: qtscript5-private-dev
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: qtscript5-dev (= ${binary:Version}), ${misc:Depends}
-Description: Qt 5 script private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files for building some
- Qt 5 applications using QtScript and QtScriptTools private headers.
- .
- Use at your own risk.
-
 Package: qtscript5-examples
 Architecture: any
 Multi-Arch: same
@@ -88,22 +74,8 @@
  .
  This package contains Qt 5 script examples.
 
-Package: qtscript5-dbg
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Section: debug
-Depends: libqt5script5 (= ${binary:Version}),
-         libqt5scripttools5 (= ${binary:Version}),
-         ${misc:Depends}
-Suggests: qtscript5-examples (= ${binary:Version})
-Description: Qt 5 script libraries debugging symbols
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the debugging symbols for the Qt 5 script libraries.
-
 Package: qtscript5-doc
+Build-Profiles: <!nodoc>
 Priority: extra
 Architecture: all
 Section: doc
@@ -115,6 +87,7 @@
  This package contains the documentation for the Qt 5 script libraries.
 
 Package: qtscript5-doc-html
+Build-Profiles: <!nodoc>
 Priority: extra
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export QT_QPA_PLATFORM := minimal
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtscript5-dbg
+	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	qmake QT_BUILD_PARTS+=tests
@@ -24,8 +24,21 @@
 	# Remove libtool-like files
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 
+	# Remove private headers
+	rm -rf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtScript/5.*
+	rm -rf debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtScriptTools/5.*
+	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/mkspecs/modules/qt_lib_*_private.pri
+
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='qtscript5-dbg (<< 5.9.0~beta+dfsg-1~)'
+
+override_dh_auto_test-arch:
+	QT_LOGGING_RULES="default.debug=true" dh_auto_test
+
+override_dh_auto_test-indep:

## qtscript-opensource-src 5.9.5%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 export QT_QPA_PLATFORM := minimal
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	qmake QT_BUILD_PARTS+=tests
+	dh_auto_configure -- QT_BUILD_PARTS+=tests
 
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
@@ -32,8 +32,8 @@
 override_dh_auto_install-indep:
 	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='qtscript5-dbg (<< 5.9.0~beta+dfsg-1~)'
